/**
 * 用户管理接口
 */
import request from '@/utils/request'
import qs from 'qs'

// 用户查询
export function getUserList(params) {
  return request({
    url: 'mgr/list',
    method: 'post',
    params
  })
}

// 添加用户
export function addUser(params) {
  return request({
    url: 'mgr/add',
    method: 'post',
    params
  })
}
// 修改用户
export function updateUser(params) {
  return request({
    url: 'mgr/update',
    method: 'post',
    params
  })
}
// 删除用户
export function delUser(id) {
  return request({
    url: 'mgr/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}

// 冻结用户
export function freezeUser(id) {
  return request({
    url: 'mgr/freeze',
    method: 'post',
    params: {
      id: id
    }
  })
}
// 冻结用户
export function unfreezeUser(id) {
  return request({
    url: 'mgr/unfreeze',
    method: 'post',
    params: {
      id: id
    }
  })
}

// 重置用户密码
export function resetPwd(params) {
  return request({
    url: 'mgr/reset',
    method: 'post',
    params
  })
}

// 修改密码
export function changePwd(params) {
  return request({
    url: 'mgr/changePwd',
    method: 'post',
    params
  })
}

// 分配角色
export function roleAssign(userId, ids) {
  return request({
    url: 'mgr/roleAssign',
    method: 'post',
    params: {
      userId: userId,
      roleIds: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}
